Bug 132857 - pax truncates really long file names
Summary: pax truncates really long file names
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pax (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-17 22:54 UTC by Matthew Braithwaite
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 10:48:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch PAXPATHMAX (790 bytes, patch)
2004-10-08 11:28 UTC, Peter Vrabec
no flags Details | Diff

Description Matthew Braithwaite 2004-09-17 22:54:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.12 (X11; FreeBSD i386; U;) Gecko/0

Description of problem:
When I tell pax to archive a really long filename (more than 3K in
length), it says:

  pax: Unable to access <a piece of the filename> <No such file or
directory>
  pax: Unable to access <next piece of the filename> <No such file or
directory>
  ... etc.

I'm invoking pax with xargs.  When I feed the same inputs to `xargs
ls', ls is able to list the files without errors.

The arguments to pax are: pax -zwdx sv4crc.

Note: maybe this archive format has filename-length limitations, but
that doesn't matter.  If so, the error is that the filename is too
long to be archived by pax, not that the file does not exist.

In the version of pax that I have source code for (FreeBSD's),
PAXPATHLEN is 3072, less than Linux's PATH_MAX (4096).

Version-Release number of selected component (if applicable):
pax v3

How reproducible:
Always

Steps to Reproduce:
 

Additional info:

Comment 1 Peter Vrabec 2004-10-08 11:28:49 UTC
Created attachment 104932 [details]
patch PAXPATHMAX

Comment 2 Peter Vrabec 2004-10-08 11:33:59 UTC
Could u write steps to reproduce the bug? I would like to test the patch.



Note You need to log in before you can comment on or make changes to this bug.